Debian Bug report logs - #195481
Centralized configuration for location settings?

Package: general; Maintainer for general is debian-devel@lists.debian.org;

Reported by: barak@cs.nuim.ie

Date: Fri, 30 May 2003 21:48:03 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#195481; Package general. Full text and rfc822 format available.

Acknowledgement sent to barak@cs.may.ie:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Barak Pearlmutter <barak@cs.may.ie>
To: submit@bugs.debian.org
Subject: fragmented location info: hassle for users especially mobile ones
Date: Fri, 30 May 2003 15:35:05 -0600
Package: general
Severity: wishlist

I'm not sure where to assign this, but ... there are too many packages
in Debian that ask for your location or variants thereof, all in an
uncoordinated fashion.  To whit:

 time zone
 latitude/longitude (wmmoonclock, wmsun, various mapping programs)
 nearest ICAO station (wmweather)
 paper size a4 vs letter (papersize library, and a couple stragglers)
 language (locale, and a couple stragglers)
 country (something must request this I'll bet)
 altitude (again I bet something uses this)

Right now, this stuff is easy to get inconsistent, and each one
requires effort to figure out.  Some of them are even tricky to
change, or even to remember.

It would be nice if these would *ALL* assume default values given just
one, on both a global system-wide basis and over-ridable on a per-user
and per-session basis.

In other words, when I move my laptop I should be able to put in the
new lat/long and, assuming everything else is set up to default, all
these other things should be filled in with their most probably
values.  Eg the nearest ICAO station, the most popular language in the
location I'm in, the size of paper they use there, etc.

Similarly, if I fill in just a country and it is a small country, and
I haven't filled in lat/long or anything else, everything should snap
to reasonable values.  If that's not enough to figure out eg the time
zone, at least the timezone menu should start with a list of timezones
in that country.  If I fill in a lat/long outside that country, it
should give me a warning.  If I fill in a city it should take the
lat/long in the center of that city.

If some user fills in a different country & city, blam everything
should "just work" for that user.

I think this could be accomplished with appropriate debconf stuff and
a "location-related-query" executable that looks at global info,
per-user files in their home directory, and environment variables.  Or
maybe a library, for easier retrofitting into little programs.  With
some modular architecture so one can add new location-related values
which can be derived from lat/long/alt, and which therefore if filled
in can also be used to constrain this and therefore other derivable
values.



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#195481; Package general. Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #10 received at 195481@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: barak@cs.may.ie, 195481@bugs.debian.org
Subject: Re: Bug#195481: fragmented location info: hassle for users especially mobile ones
Date: Sat, 31 May 2003 04:52:08 +0200
[Message part 1 (text/plain, inline)]
On Fri, May 30, 2003 at 03:35:05PM -0600, Barak Pearlmutter wrote:

> In other words, when I move my laptop I should be able to put in the
> new lat/long and, assuming everything else is set up to default, all
> these other things should be filled in with their most probably
> values.  Eg the nearest ICAO station, the most popular language in
> the location I'm in, the size of paper they use there, etc.

Defaults should be reasonable, and not kick the user. While it is
reasonable to assume the user will want weather forecasts for hir
current location, a laptop that starts speaking Mongolian to me when I
do a trip to Oulan-Bator certainly doesn't look user-friendly to me.

-- 
Lionel
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#195481; Package general. Full text and rfc822 format available.

Acknowledgement sent to barak@cs.may.ie:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #15 received at 195481@bugs.debian.org (full text, mbox):

From: Barak Pearlmutter <barak@cs.may.ie>
To: lionel@mamane.lu
Cc: 195481@bugs.debian.org
Subject: Re: Bug#195481: fragmented location info: hassle for users especially mobile ones
Date: Sun, 01 Jun 2003 08:29:03 -0600
Well okay, granted ... but the locale would almost always be
explicitly set, and wouldn't change when eg the lat/long are modified.



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#195481; Package general. Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #20 received at 195481@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: barak@cs.may.ie, 195481@bugs.debian.org
Subject: Re: Bug#195481: fragmented location info: hassle for users especially mobile ones
Date: Mon, 2 Jun 2003 17:16:21 +0200
On Sun, Jun 01, 2003 at 08:29:03AM -0600, Barak Pearlmutter wrote:

> Well okay, granted ... but the locale would almost always be
> explicitly set, and wouldn't change when eg the lat/long are
> modified.

I disagree on that particular point. If someone installs a Debian, and
the install programs asks for lat/long, and then the system starts
speaking the "right" language to the user, he will never have set the
locale explicitly.

Two solutions:

 - Have the install program infer the (default) locale from the
   lat/long, but the lat / long changing program doesn't touch
   locale.

 - Don't mix coordinates and language at all. The install program asks
   for the default system locale as it does now.

-- 
Lionel



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#195481; Package general. Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <wouter@grep.be>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #25 received at 195481@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <wouter@grep.be>
To: Lionel Elie Mamane <lionel@mamane.lu>, 195481@bugs.debian.org
Cc: barak@cs.may.ie
Subject: Re: Bug#195481: fragmented location info: hassle for users especially mobile ones
Date: Mon, 2 Jun 2003 18:38:39 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jun 02, 2003 at 05:16:21PM +0200, Lionel Elie Mamane wrote:
> On Sun, Jun 01, 2003 at 08:29:03AM -0600, Barak Pearlmutter wrote:
> > Well okay, granted ... but the locale would almost always be
> > explicitly set, and wouldn't change when eg the lat/long are
> > modified.
> 
> I disagree on that particular point. If someone installs a Debian, and
> the install programs asks for lat/long, and then the system starts
> speaking the "right" language to the user, he will never have set the
> locale explicitly.
> 
> Two solutions:
> 
>  - Have the install program infer the (default) locale from the
>    lat/long, but the lat / long changing program doesn't touch
>    locale.
> 
>  - Don't mix coordinates and language at all. The install program asks
>    for the default system locale as it does now.

I think that's the best solution. There are parts of the world with more
than one official language, and in some of those parts (such as Quebec,
or Belgium), guessing incorrectly may be a good way to severely piss
off a user.

-- 
Wouter Verhelst
Debian GNU/Linux -- http://www.debian.org
Nederlandstalige Linux-documentatie -- http://nl.linux.org
"An expert can usually spot the difference between a fake charge and a
full one, but there are plenty of dead experts." 
  -- National Geographic Channel, in a documentary about large African beasts.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#195481; Package general. Full text and rfc822 format available.

Acknowledgement sent to Paul Slootman <paul@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #30 received at 195481@bugs.debian.org (full text, mbox):

From: Paul Slootman <paul@debian.org>
To: 195481@bugs.debian.org
Subject: Re: Bug#195481: fragmented location info: hassle for users especially mobile ones
Date: Wed, 4 Jun 2003 18:42:24 +0200
On Mon 02 Jun 2003, Lionel Elie Mamane wrote:

>  - Have the install program infer the (default) locale from the
>    lat/long, but the lat / long changing program doesn't touch
>    locale.

And if gpstrans is installed, query the GPS receiver directly for the
current lat/long :-)


Paul Slootman



Changed Bug title. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. (Sat, 20 Sep 2008 11:48:11 GMT) Full text and rfc822 format available.

Notification sent to barak@cs.may.ie:
Bug acknowledged by developer. (Sat, 20 Sep 2008 11:48:11 GMT) Full text and rfc822 format available.

Message #37 received at 195481-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 195481-done@bugs.debian.org
Subject: upstream issue, not packaging related
Date: Sat, 20 Sep 2008 12:29:39 +0200
[Message part 1 (text/plain, inline)]
Hi,

I'm closing this bug because basically it's too broad (it belongs into many 
packages) and also because these are upstream issues, nothing Debian can or 
should really do about this.

It's a nice idea, but IMO nothing more than that at the moment. And it's an 
idea which should be dealt with upstream.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#195481; Package general. (Sat, 20 Sep 2008 19:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to barak@cs.nuim.ie:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. (Sat, 20 Sep 2008 19:12:02 GMT) Full text and rfc822 format available.

Message #42 received at 195481@bugs.debian.org (full text, mbox):

From: "Barak A. Pearlmutter" <barak@cs.nuim.ie>
To: 195481@bugs.debian.org
Subject: Re: Bug#195481 closed by Holger Levsen <holger@layer-acht.org> (upstream issue, not packaging related)
Date: Sat, 20 Sep 2008 20:09:43 +0100
What makes Debian a "distribution" rather than just a random
collection of miscellaneous software is integration.  This is an
integration wishlist.  It has to happen at the distribution level if
it is to happen anywhere.  I don't understand why you want to close
this issue---the logic seems to be just that it's hard to address, but
that doesn't seem like a very compelling reason.  And I don't see how
it can be filed against any (or many) particular packages---it is an
issue that requires policy and coordination between many packages, and
hence belongs on Package: general.

					--Barak.




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#195481; Package general. (Sat, 20 Sep 2008 22:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. (Sat, 20 Sep 2008 22:57:02 GMT) Full text and rfc822 format available.

Message #47 received at 195481@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: barak@cs.nuim.ie, 195481@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#195481: closed by Holger Levsen <holger@layer-acht.org> (upstream issue, not packaging related)
Date: Sun, 21 Sep 2008 00:54:32 +0200
[Message part 1 (text/plain, inline)]
Hi Barak,

On Saturday 20 September 2008 21:09, Barak A. Pearlmutter wrote:
> What makes Debian a "distribution" rather than just a random
> collection of miscellaneous software is integration.  This is an
> integration wishlist.  It has to happen at the distribution level if
> it is to happen anywhere.  I don't understand why you want to close
> this issue---the logic seems to be just that it's hard to address, but
> that doesn't seem like a very compelling reason.  And I don't see how
> it can be filed against any (or many) particular packages---it is an
> issue that requires policy and coordination between many packages, and
> hence belongs on Package: general.

As said, feel free to reopen. And, as usual.., are you willing to work on this 
goal?

Also IMO it's not really about integration (yet). First, some general plan and 
then an implementation needs to be found, maybe within freedesktop.org, maybe 
not. Then, packages would need to be changed to implement this plan. And then 
a mass bug filing could be done, if there is consensus on debian-devel@ that 
this should be done. In the bug report I read no consensus _and_ no activity 
since 5 years.

But, as said, feel free to reopen.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#195481; Package general. (Sun, 21 Sep 2008 17:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to barak@cs.nuim.ie:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. (Sun, 21 Sep 2008 17:18:03 GMT) Full text and rfc822 format available.

Message #52 received at 195481@bugs.debian.org (full text, mbox):

From: "Barak A. Pearlmutter" <barak@cs.nuim.ie>
To: Holger Levsen <holger@layer-acht.org>
Cc: 195481@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#195481: closed by Holger Levsen <holger@layer-acht.org> (upstream issue, not packaging related)
Date: Sun, 21 Sep 2008 18:13:52 +0100
> As said, feel free to reopen.

Will do.

Debian has made analogous contributions in similar domains: see
package libpaper, or tempfile(1) in debianutils, or emacsen-common.
So it not just our mandate; we even have a history.

> And, as usual.., are you willing to work on this goal?

Willing?  Yes.  Able?  No, not realistically: too many other plates
spinning in the air.  But I'm happy to bounce things around with
people.

> ...  First, some general plan and then an implementation needs to be
> found, maybe within freedesktop.org, maybe not.  Then, packages
> would need to be changed to implement this plan.  And then ...

Exactly.  There are a number of high-level approaches that could be
taken, and it is unclear which would be most sensible.  (Library, like
papersize?  Executable, like tempfile?  Location network server and
protocol?)  But at root, we should recognize that this is not a very
hard problem; merely a tedious one.  Like many design decisions, it
would be good for a group to talk through some options in order to
come up with a minimal but extensible (eg, accept and/or broadcast
location via avahi) design appropriate to this particular problem.
That's what debian-devel is for, at its best.

Then the real hassle starts: rejiggering all the plumbing to hook
things into a shiny new system.

					--Barak.




Bug reopened, originator set to barak@cs.nuim.ie. Request was from "Barak A. Pearlmutter" <barak@cs.nuim.ie> to control@bugs.debian.org. (Sun, 21 Sep 2008 17:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#195481; Package general. (Tue, 23 Sep 2008 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. (Tue, 23 Sep 2008 09:51:03 GMT) Full text and rfc822 format available.

Message #59 received at 195481@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: barak@cs.nuim.ie, 195481@bugs.debian.org
Subject: Re: Bug#195481: closed by Holger Levsen <holger@layer-acht.org> (upstream issue, not packaging related)
Date: Tue, 23 Sep 2008 11:43:49 +0200
[Message part 1 (text/plain, inline)]
Hi Barak,

On Sunday 21 September 2008 19:13, Barak A. Pearlmutter wrote:
> > As said, feel free to reopen.
> Will do.

And you did :-)

> Willing?  Yes.  Able?  No, not realistically: too many other plates
> spinning in the air.  But I'm happy to bounce things around with
> people.

If there are people who are willing and able to do the work... that was 
actually part of the reason I closed it. Appearantly for years there was no 
one to tackle this.

(And if there is no progress again within the next two years or so, I'll 
likely close this again.)

> Exactly.  There are a number of high-level approaches that could be
> taken, and it is unclear which would be most sensible.  (Library, like
> papersize?  Executable, like tempfile?  Location network server and
> protocol?)  But at root, we should recognize that this is not a very
> hard problem; merely a tedious one.  Like many design decisions, it
> would be good for a group to talk through some options in order to
> come up with a minimal but extensible (eg, accept and/or broadcast
> location via avahi) design appropriate to this particular problem.
> That's what debian-devel is for, at its best.

But no one did. Maybe it's worth having a BoF about this at next DebConf? 


good luck & have fun,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#195481; Package general. (Tue, 23 Sep 2008 20:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to barak@cs.nuim.ie:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. (Tue, 23 Sep 2008 20:36:10 GMT) Full text and rfc822 format available.

Message #64 received at 195481@bugs.debian.org (full text, mbox):

From: "Barak A. Pearlmutter" <barak@cs.nuim.ie>
To: Holger Levsen <holger@layer-acht.org>
Cc: 195481@bugs.debian.org
Subject: Re: Bug#195481: closed by Holger Levsen <holger@layer-acht.org> (upstream issue, not packaging related)
Date: Tue, 23 Sep 2008 21:35:23 +0100
> (And if there is no progress again within the next two years or so,
> I'll likely close this again.)

Guess we have different ideas about what "wishlist" bugs are for.
My attitude is they're for wishes, like the sea is for fishes.
Sometimes someone picks one up, perhaps even a big wily old fat one.
Maybe takes it on as a summer-of-code project, or whatever.
It might swim around for many years, that's okay.  They form a pool of
ideas, and sometimes someone fishes around and finds one they want to
take to heart.

					--Barak.




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#195481; Package general. (Tue, 23 Sep 2008 21:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. (Tue, 23 Sep 2008 21:12:07 GMT) Full text and rfc822 format available.

Message #69 received at 195481@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: barak@cs.nuim.ie, 195481@bugs.debian.org
Cc: "Barak A. Pearlmutter" <barak@cs.nuim.ie>, Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#195481: closed by Holger Levsen <holger@layer-acht.org> (upstream issue, not packaging related)
Date: Tue, 23 Sep 2008 22:10:56 +0100
[Message part 1 (text/plain, inline)]
On Tue, 23 Sep 2008 21:35:23 +0100
"Barak A. Pearlmutter" <barak@cs.nuim.ie> wrote:

> > (And if there is no progress again within the next two years or so,
> > I'll likely close this again.)
> 
> Guess we have different ideas about what "wishlist" bugs are for.
> My attitude is they're for wishes, like the sea is for fishes.

Wishes should still have some possibility of attainment, otherwise it
is wishful-thinking not wishlist. (Subtle difference, at least to me
- and Holger by the sounds of it too).

> Sometimes someone picks one up, perhaps even a big wily old fat one.
> Maybe takes it on as a summer-of-code project, or whatever.
> It might swim around for many years, that's okay.  They form a pool of
> ideas, and sometimes someone fishes around and finds one they want to
> take to heart.

Issues that get no response in years, despite all the changes that
happen between the releases that occur within that time, should just be
considered as 'dead'. They had their time, nobody thought they were
good enough ideas to be worth investing any significant amounts of
effort. If it was a good idea, the bug report is still there, it is
still archived. Someone can reopen it *IF* they can make time available
to turn the wish into a proposal.

If ideas get positive feedback and the bug report has lots of
discussion, maybe it is worth making a Wiki page for the idea (as long
as the discussion has moved beyond painting the bike-shed).

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#195481; Package general. (Thu, 25 Sep 2008 09:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-devel@lists.debian.org:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. (Thu, 25 Sep 2008 09:30:02 GMT) Full text and rfc822 format available.

Message #74 received at 195481@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Undisclosed.Recipients: ;
Cc: 195481@bugs.debian.org
Subject: Re: Bug#195481: closed by Holger Levsen <holger@layer-acht.org> (upstream issue, not packaging related)
Date: Thu, 25 Sep 2008 11:28:27 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Tuesday 23 September 2008 23:10, Neil Williams wrote:
> > Guess we have different ideas about what "wishlist" bugs are for.
> > My attitude is they're for wishes, like the sea is for fishes.
> Wishes should still have some possibility of attainment, otherwise it
> is wishful-thinking not wishlist. (Subtle difference, at least to me
> - and Holger by the sounds of it too).

Yup.

> Issues that get no response in years, despite all the changes that
> happen between the releases that occur within that time, should just be
> considered as 'dead'. They had their time, nobody thought they were
> good enough ideas to be worth investing any significant amounts of
> effort. If it was a good idea, the bug report is still there, it is
> still archived. Someone can reopen it *IF* they can make time available
> to turn the wish into a proposal.
>
> If ideas get positive feedback and the bug report has lots of
> discussion, maybe it is worth making a Wiki page for the idea (as long
> as the discussion has moved beyond painting the bike-shed).

Exactly.

Sorry for the low signal here, but I thought I should state this as I have 
been dealing with those general bugs a lot recently. I do consider the 
general bugs everyDDs bugs though and if there is consensus to leave such 
bugs open forever, I'm happy to let them be. I just think what Neil 
summarized above... :-)


regards,
	Holger 

P.S.: please respect the reply-to: header and don't cc: this bug on replies.
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:04:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.